Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.apps.groupspace.issues.controls
Interface IssuesControl

All Superinterfaces
  CM_Control<Issue>, ContentControlBase<Issue,Folder>, GroupSpaceContentControl<Issue>, Serializable

All Known Implementing Classes:
  IssuesControlImpl

    public interface IssuesControl

extends CM_Control<Issue>

Create a GroupSpace Issue.

Nested Class Summary

Nested classes/interfaces inherited from interface com.bea.apps.groupspace.controls.generic.ContentControlBase
`ContentControlBase.NodeSearchType, ContentControlBase.Params`

Method Summary
`Issue` | `create(Folder parentFolder, String description, CommunityContent.Visibility visibility, String status, String resolution)` Creates the issue below the named folder.
`Issue` | `create(Folder parentFolder, String title, String description, String owner, CommunityContent.Visibility visibility, String status, String priority, boolean isKnowledge, String resolution, ID[] relatedNodes)`
`Issue` | `create(Folder parentFolder, String title, String description, String owner, CommunityContent.Visibility visibility, String status, String priority, boolean isKnowledge, String resolution, String notes, ID[] relatedNodes, Set<CmxControl.PropertyPair> dynamicProps)`
`String` | `getNotes(Issue issue)`

Methods inherited from interface com.bea.apps.groupspace.controls.generic.CM_Control
`getPersonalContentFolder`

Methods inherited from interface com.bea.apps.groupspace.controls.generic.GroupSpaceContentControl
`asSet, createFolder, createFolder, findByDescription, findByTitle, getCommunity, getCommunityAndPrivate, getCommunityFolder, getPersonal, getPrivate, getReferencingContent, getReferencingContent, getRelatedContent, promoteToCommunity, removeCommunityAndPrivate, removePersonal, removePrivate`

Methods inherited from interface com.bea.apps.groupspace.controls.generic.ContentControlBase
`createObjectClass, createObjects, createObjects, findById, findContentById, findMany, findMany, findManyChildren, getAllPropertyDefinitions, getDefaultStringValue, getFolder, getImmediateChildren, getImmediateChildren, getImmediateChildrenAsPagedResult, getObjectClass, getTopFolder, getTopNode, move, move, remove, remove, remove, removeAll, update, update`

Method Detail

### create

    Issue create(Folder parentFolder,
                 String description,
                 CommunityContent.Visibility visibility,
                 String status,
                 String resolution)
                 throws Exception

  Creates the issue below the named folder. The parent folder is only relevant for Community and Private visibility.

  Throws
    `Exception`

### create

    Issue create(Folder parentFolder,
                 String title,
                 String description,
                 String owner,
                 CommunityContent.Visibility visibility,
                 String status,
                 String priority,
                 boolean isKnowledge,
                 String resolution,
                 ID[] relatedNodes)
                 throws Exception

  Parameters
    `description` -
    `status` -
    `resolution` -
    `relatedNodes` -
  Returns
  Throws
    `Exception` - The parent folder is only relevant for Community and Private visibility.

### create

    Issue create(Folder parentFolder,
                 String title,
                 String description,
                 String owner,
                 CommunityContent.Visibility visibility,
                 String status,
                 String priority,
                 boolean isKnowledge,
                 String resolution,
                 String notes,
                 ID[] relatedNodes,
                 Set<CmxControl.PropertyPair> dynamicProps)
                 throws Exception

  Parameters
    `description` -
    `status` -
    `resolution` -
    `relatedNodes` -
  Returns
  Throws
    `Exception` - The parent folder is only relevant for Community and Private visibility.

### getNotes

    String getNotes(Issue issue)
                    throws RepositoryException,
                           AuthorizationException

  Throws
    `RepositoryException`
    `AuthorizationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved